import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

/**
 * Created by Administrator on 2023/11/19.
 */
public class JFrameTest6 {
    //
    public static void main(String[] args) {
        // 检测点击按钮，键盘事件案例
        // 1.创建JFrame 对象
        JFrame frame = new JFrame();
        // 设置窗口的大小 单位是像素
        frame.setSize(514,595);
        // 设置当前窗口的显示文字
        frame.setTitle("我的小游戏");
        frame.setLayout(null);
        // 取消默认的焦点
        frame.setFocusable(true);
        JButton jButton = new JButton("点我啊~");
        jButton.setBounds(50,50,100,100);
        frame.getContentPane().add(jButton);

        // 对按钮点击绑定事件
        // 对按钮点击绑定事件
        jButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                System.out.println("我被点了。。。。");
            }
        });


        // 为窗体添加键盘事件
        frame.addKeyListener(new KeyListener() {
            public void keyTyped(KeyEvent e) {

            }
            // 键盘按下
            public void keyPressed(KeyEvent e) {
//                System.out.println("啦啦啦啦，我被按下了");
                // getKeyCode 键盘的值
//                System.out.println(e.getKeyCode());
                switch (e.getKeyCode()){
                    case 37:
                        System.out.println("左~~~~~~");
                        break;
                    case 38:
                        System.out.println("上~~~~~~");
                        break;
                    case 39:
                        System.out.println("右~~~~~~");
                        break;
                    case 40:
                        System.out.println("下~~~~~~");
                        break;

                }
            }

            public void keyReleased(KeyEvent e) {

            }
        });



        // 设置关闭模式 点击关闭按钮 结束程序
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

        // 2.显示窗体对象，设置显示模式 可见
        frame.setVisible(true);

    }
}
